#define MY_BAUD_RATE 9600
#define MY_NODE_ID 111

#define MY_DEBUG

#define MY_OTA_FIRMWARE_FEATURE
#define MY_OTA_FLASH_SS 16  //  pin A2 of Arduino Pro Mini
#define MY_OTA_FLASH_JDECID 0xEF30

#define MY_OTA_RETRY (10u)
#define MY_OTA_RETRY_DELAY (2000u)

#define OTA_EXTRA_FLASH_DEBUG

#define MY_RS485
#define MY_RS485_DE_PIN 7
#define MY_RS485_BAUD_RATE 9600


#include <SPI.h>
#include <MySensors.h>

void setup()
{
  pinMode(6, OUTPUT);
}

void before() { 
}

void presentation()
{
  sendSketchInfo("TestNodeRS485OTA", "0.01");
}

void loop()
{

  digitalWrite(6,0);
  wait(100);
  digitalWrite(6,1);
  wait(100);
  digitalWrite(6,0);
  wait(100);
  digitalWrite(6,1);

  sendHeartbeat();
  wait(1000);
}